import network
import socket

# Wi-Fi details
SSID = "AV"           # Replace with your Wi-Fi network name
PASSWORD = "password" # Replace with your Wi-Fi password

# Connect to Wi-Fi
def connect_to_wifi():
    wlan = network.WLAN(network.STA_IF)
    wlan.active(True)
    wlan.connect(SSID, PASSWORD)
    
    print("Connecting to Wi-Fi...")
    while not wlan.isconnected():
        pass
    print("Connected!")
    print("IP address:", wlan.ifconfig()[0])
    return wlan.ifconfig()[0]  # Return the Pico W's IP address

# Start the web server
def start_server():
    addr = socket.getaddrinfo("0.0.0.0", 80)[0][-1]
    s = socket.socket()
    s.bind(addr)
    s.listen(1)
    print("Listening on:", addr)

    while True:
        cl, addr = s.accept()
        print("Client connected from:", addr)
        request = cl.recv(1024).decode()
        print("Request:", request)

        # Send a basic webpage response
        cl.send("HTTP/1.1 200 OK\r\n")
        cl.send("Content-Type: text/html\r\n\r\n")
        cl.send("""
            <!DOCTYPE html>
            <html>
            <body>
                <h1>Pico W Web Server</h1>
                <form action="/">
                    <label for="message">Enter a message:</label><br>
                    <input type="text" id="message" name="message"><br><br>
                    <input type="submit" value="Send">
                </form>
            </body>
            </html>
        """)
        cl.close()

# Main function
try:
    ip = connect_to_wifi()  # Connect to Wi-Fi
    print("Web server running at http://" + ip)
    start_server()  # Start the web server
except KeyboardInterrupt:
    print("Server stopped.")
